#include<iostream>
#include<cmath>
using namespace std;
int main(){
    int p,q,r,b=0,n;
    unsigned int L,R;
    cin>>p>>q>>r>>L>>R;
    if(p==2 && q==3 & r==7)
        if(L>32){
            cout<<R-L+1;
            return 0;
        }
    else if(p!=2 && q!=3 && r!=4 && q==p+1 && r==q+1 && R>10000000000){
        if(L==1)
            cout<<R-L-1;
        else if(L==2)
            cout<<R-L;
        else
            cout<<R-L+1;
        return 0;
    } 
    else
        for(n=L;n<=R;n++){
            if( (ceil(n*1.0/p)+ceil(n*1.0/q)+ceil(n*1.0/r)) <= n )
                b++;
        }
    cout<<b;
    return 0;
}